This URL gets the exportable malware policies from the Manager.
Resource URL
GET /domain/<domain_id>/malwarepolicy/export
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of exportable malware policies | Object |
Details of exportablePolicyList:
Field Name | Description | Data Type |
|---|---|---|
| List of exportable malware policy detail | ObjectList |
Details of exportablePolicyDetail:
Field Name | Description | Data Type |
|---|---|---|
| Name of the policy | String |
| Type of the policy:
| String |
| ID of the policy | Integer |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/malwarepolicy/export
Response
{
'exportablePolicyDetail': [{
'policyName': 'DefaultMalwarePolicy',
'policyType': 'MALWARE_POLICY',
'policyId': 1
},
{
'policyName': 'TestMalwarePolicy_1',
'policyType': 'MALWARE_POLICY',
'policyId': 301
},
{
'policyName': 'TestMalwarePolicy_2',
'policyType': 'MALWARE_POLICY',
'policyId': 302
},
{
'policyName': 'malwarearchive',
'policyType': 'MALWARE_POLICY',
'policyId': 305
}]
}
Error Information
Following error code is returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1105 | Invalid domain |